<?php
defined('_VALID_CALL') or die('Direct Access is not allowed.');

class trustami {
	function _getSettings(){
		if(XT_TRUSTAMI_USER_ID != ""){
			$ta_overlay = 0;
			$ta_overlay_frame = 0;
			$ta_overlay_list = 0;
			$ta_sticker = 0;
			$ta_button = 0;
			$ta_social = 0;
			$ta_duo = 0;
			$ta_text_only = 0;
			$ta_shopak = 0;
			$ta_stars = 0;

		if(XT_TRUSTAMI_SHOW_FOOTER == 'trustbadge' || XT_TRUSTAMI_SHOW_FOOTER == 'trustbadge_mini' || XT_TRUSTAMI_SHOW_FOOTER == 'trustbadge_box' || XT_TRUSTAMI_SHOW_FOOTER == 'trustbadge_comments'){
			switch(XT_TRUSTAMI_SHOW_FOOTER)
			{
				case 'trustbadge':
					$footerDiv = "<div id='trustami_footer' class='widget_container' style='margin-bottom: 20px;'></div>";
					break;
				case 'trustbadge_mini':
					$footerDiv = "<div id='trustami_footer' class='widget_container_badge' style='display: table; margin: 0 auto; margin-bottom: 20px;'></div>";
					break;
				case 'trustbadge_box':
					$footerDiv = "<div id='trustami_footer' class='widget_container_box' style='display: table; margin: 0 auto; margin-bottom: 20px;'></div>";
					break;
				case 'trustbadge_comments':
					$footerDiv = "<div id='trustami_footer' class='widget_container_comments_badge' style='margin-bottom: 20px;'></div>";
					break;
				default:
					$footerDiv = null;
			}
		}

		if(XT_TRUSTAMI_SHOW_OVERLAY == 1){
			$ta_overlay = 1;
		}

		if(XT_TRUSTAMI_SHOW_OVERLAY_FRAME == 1){
			$ta_overlay_frame = 1;
		}

		if(XT_TRUSTAMI_SHOW_OVERLAY_LIST == 1){
			$ta_overlay_list = 1;
		}

		if(XT_TRUSTAMI_SHOW_STICKER == 1){
			$ta_sticker = 1;
		}

		if(XT_TRUSTAMI_SHOW_BUTTON == 1){
			$ta_button = 1;
		}

		if(XT_TRUSTAMI_SHOW_SOCIAL == 1){
			$ta_social = 1;
		}

		if(XT_TRUSTAMI_SHOW_DUO == 1){
			$ta_duo = 1;
		}

		if(XT_TRUSTAMI_SHOW_TEXT_ONLY == 1){
			$ta_text_only = 1;
		}

		if(XT_TRUSTAMI_SHOW_SHOPAK == 1){
			$ta_shopak = 1;
		}

		if(XT_TRUSTAMI_SHOW_STARS == 1){
			$ta_stars = 1;
		}

		if(XT_TRUSTAMI_DOM_ATTRIBUTE_1 != "disabled" && XT_TRUSTAMI_DOM_NAME_1 !="" && XT_TRUSTAMI_CUSTOM_ELEMENT_1 != "disabled"){
			$custom1 = array(
				domAttr => XT_TRUSTAMI_DOM_ATTRIBUTE_1,
				domName => XT_TRUSTAMI_DOM_NAME_1,
				customBadge => XT_TRUSTAMI_CUSTOM_ELEMENT_1
				);
		}

		//case of += not supported
		$trustami_settings = array(
		    trustamiId => XT_TRUSTAMI_USER_ID
		);

		if($footerDiv){
			$trustami_settings[footerDiv] = $footerDiv;
		}

		if($ta_overlay){
			$trustami_settings[ta_overlay] = $ta_overlay;
		}

		if($ta_overlay_frame){
			$trustami_settings[ta_overlay_frame] = $ta_overlay_frame;
		}

		if($ta_overlay_list){
			$trustami_settings[ta_overlay_list] = $ta_overlay_list;
		}

		if($ta_sticker){
			$trustami_settings[ta_sticker] = $ta_sticker;
		}

		if($ta_button){
			$trustami_settings[ta_button] = $ta_button;
		}

		if($ta_social){
			$trustami_settings[ta_social] = $ta_social;
		}

		if($ta_duo){
			$trustami_settings[ta_duo] = $ta_duo;
		}

		if($ta_text_only){
			$trustami_settings[ta_text_only] = $ta_text_only;
		}

		if($ta_shopak){
			$trustami_settings[ta_shopak] = $ta_shopak;
		}

		if($ta_stars){
			$trustami_settings[ta_stars] = $ta_stars;
		}

		if($custom1){
			$trustami_settings[custom1] = $custom1;
		}

		    return $trustami_settings;
		}
		else
			return 0;

	}
}
?>
